Bug 1099425 - failing to start VM due to port key error
Summary: failing to start VM due to port key error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Francesco Romani
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-05-20 09:43 UTC by Sandro Bonazzola
Modified: 2016-02-10 19:48 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:27:43 UTC
oVirt Team: Virt


Attachments (Terms of Use)
vdsm logs (236.30 KB, application/x-gzip)
2014-05-20 09:43 UTC, Sandro Bonazzola
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27924 None MERGED vm: fix 'port' reporting with SSL enabled Never

Description Sandro Bonazzola 2014-05-20 09:43:02 UTC
Created attachment 897520 [details]
vdsm logs

Can't start a VM on a clean system.
The web interface reports:
	
2014-May-20, 11:35 Failed to run VM test (User: admin).
2014-May-20, 11:35 Failed to run VM test on Host dell.
2014-May-20, 11:35 VM test is down. Exit message: 'port'.
2014-May-20, 11:35 VM test was started by admin (Host: dell).

VDSM logs show:

Thread-63::DEBUG::2014-05-20 11:35:22,363::vm::2024::vm.Vm::(_startUnderlyingVm) vmId=`945d1303-b5eb-4aef-8bf3-135ae5d1ee2e`::_ongoingCreations released
Thread-63::ERROR::2014-05-20 11:35:22,363::vm::2062::vm.Vm::(_startUnderlyingVm) vmId=`945d1303-b5eb-4aef-8bf3-135ae5d1ee2e`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/virt/vm.py", line 2005, in _startUnderlyingVm
    self._run()
  File "/usr/share/vdsm/virt/vm.py", line 2955, in _run
    self._domDependentInit()
  File "/usr/share/vdsm/virt/vm.py", line 2835, in _domDependentInit
    self._getUnderlyingVmDevicesInfo()
  File "/usr/share/vdsm/virt/vm.py", line 2772, in _getUnderlyingVmDevicesInfo
    self._getUnderlyingGraphicsDeviceInfo()
  File "/usr/share/vdsm/virt/vm.py", line 4870, in _getUnderlyingGraphicsDeviceInfo
    self._updateLegacyConf(dev)
  File "/usr/share/vdsm/virt/vm.py", line 5063, in _updateLegacyConf
    self.conf['displayPort'] = dev['port']
KeyError: 'port'


Relevant rpms:
# rpm -qa |egrep "^(ovirt-engine-3|vdsm-4|libvirt-daemon-1)"
ovirt-engine-3.5.0-0.0.master.20140519181226.gitc6324d4.fc19.noarch
libvirt-daemon-1.1.3.2-1.fc19.x86_64
vdsm-4.14.1-339.gitedb07b8.fc19.x86_64

Comment 1 Lukas Svaty 2014-07-29 12:06:19 UTC
ovirt-3.5.0-beta2

Comment 2 Sandro Bonazzola 2014-10-17 12:27:43 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.